<?php
/**
 * Item settings
 * 
 * {@link http://www.scriptblogger.de/ }
 */
class Form_ItemSettings extends Zend_Form
{
    /**
     * Constructor
     * 
     * @param object $view View object
     * @param array $options Form options
     */
    public function __construct($view, $options = null) 
    {
        parent::__construct($options);
        
        Zend_Loader::loadClass('Zend_Form_Element_Text');
                
        $this->setName('itemSettings');
        $this->setDecorators(array(
                'FormElements', array(
                    'HtmlTag', array(
                        'tag'   => 'dl', 
                        'class' => 'zend_form'
                        )
                    ), 
                    array(
                        'Description', array(
                            'placement' => 'prepend'
                            )
                        ),
                    'Form'
                    ));
                    

        $itemName = new Zend_Form_Element_Text('itemName');
        $itemName->setRequired(true)
            ->setLabel($view->instructionTooltip('itemName', 'itemNameQ', 'questionmark'))
            ->setDescription($view->instructionTooltip('itemNameDescription', 'itemNameQ', 'tooltip'))
            ->setDecorators(array(
                'ViewHelper',
                'Errors',
                array(
                    'Description', array(
                        'placement' => 'append', 
                        'escape' => false, 
                        'tag' => 'span'
                        )),
                array('HtmlTag', array('tag' => 'dd')),
                array('Label', array('tag' => 'dt', 'escape' => false)),
                ));
        $this->addElement($itemName);        
    }
}