<?php
/**
 * Instruction tooltip
 * 
 * {@link http://www.scriptblogger.de/ }
 */
class GentleSource_View_Helper_InstructionTooltip
{
    
    /**
     * Current view
     */
    public $view;
    

    /**
     * Get current view
     */
    public function setView(Zend_View_Interface $view)
    {
        $this->view = $view;
    }

    /**
     * Generate instruction tooltip HTML code
     * 
     * @param string $text Visible text
     * @param string $id   Connect ID 
     * @param string $mode label|description
     */
    public function instructionTooltip($text, $id, $mode = 'label')
    {
        if ($mode == 'label') {
            return $this->view->translate($text) . ' <span id="' . $id . '" class="instructionQuestionmark">' . $this->view->translate('instructionQuestionmark') . '</span>';
        }
        if ($mode == 'description') {
            return '<span dojoType="dijit.Tooltip" style="display:none;" connectId="' . $id . '" id="' . $id . '_tooltip">' . $this->view->translate($text) . '</span>';
        }
    }
    
}